Up

# NSCustomImageRep

### Authors

Adam Fedor (`fedor@colorado.edu`)

> Custom image representation.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSCustomImageRep class

## NSCustomImageRep : NSImageRep

> Declared in:
>   AppKit/NSCustomImageRep.h

Availability: OpenStep

TODO : Desciption

Instance Variables
Method summary

- -delegate
- -drawSelector
- -initWithDrawSelector:delegate:

### delegate

- (id) delegate;
Availability: OpenStep

Returns the NSCustomImageRep's delegate.

See Also: -initWithDrawSelector:delegate:

### drawSelector

- (SEL) drawSelector;
Availability: OpenStep

Returns the draw method sent to the delegate when NSCustomImageRep recieved a -draw message.

See Also: -initWithDrawSelector:delegate: [NSImageRep -draw]

### initWithDrawSelector: delegate:

- (id) initWithDrawSelector: (SEL)aSelector delegate: (id)anObject;
Availability: OpenStep

Initializes a new NSCustomImageRep with. When a -draw message is recieved it send aSelector message to the delegate anObject.

See Also: -delegate -drawSelector [NSImageRep -draw]

## Instance Variables for NSCustomImageRep Class

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selector

@protected SEL _selector;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up